<template>
     <div class="container">
       <b-card no-body>
        <b-tabs card>
          <b-tab title="Friends" active>
             <div v-for="friend in friends" :key="friend.id">
              <b-row  class="friend-list">
                <div @click="showFriendProfile(friend.id)" class="avatar" v-bind:style="{ 'background-image': 'url(' + friend.avatar_ref + ')' }"></div>
                <div @click="showFriendProfile(friend.id)" class="friend-data">
                    <div class="name">
                      <strong>{{friend.first_name}} {{friend.last_name}}</strong>
                    </div>
                    <div class="status" v-if="friend.online == true">
                        <span>online</span>
                    </div>
                    <div class="status" v-else>
                        <span>ofline</span>
                    </div>
                  </div>
                  <button class="del" @click="delFromFriends(friend.id)"><img src="../assets/del.png"/></button>
                </b-row>
              </div>

          </b-tab>
          <b-tab title="People" >
            <div v-for="people in getPeople" :key="people.id">
              <b-row  class="friend-list">
                <div class="avatar" v-bind:style="{ 'background-image': 'url(' + people.avatar_ref + ')' }"></div>
                <div class="friend-data">
                    <div class="name">
                      <strong>{{people.first_name}} {{people.last_name}}</strong>
                    </div>
                    <div class="status" v-if="people.online == true">
                        <span>online</span>
                    </div>
                    <div class="status" v-else>
                        <span>ofline</span>
                    </div>
                </div>
                <button class="add" >Add to friend</button>
              </b-row>
            </div>
          </b-tab>

          <b-tab title="Request in friends" >
            <div v-for="request in requestFriends" :key="request.id">
              <b-row  class="friend-list">
                <div class="avatar" v-bind:style="{ 'background-image': 'url(' + request.avatar_ref + ')' }"></div>
                <div class="friend-data">
                    <div class="name">
                      <strong>{{request.first_name}} {{request.last_name}}</strong>
                    </div>
                    <div class="status" v-if="request.online == true">
                        <span>online</span>
                    </div>
                    <div class="status" v-else>
                        <span>ofline</span>
                    </div>
                </div>
                
              </b-row>
            </div>
          </b-tab>

        </b-tabs>
      </b-card>

    </div>
</template>

<script>

const axios = require('axios');
const id = +localStorage.getItem("id");

export default {
  name: 'friends',
  data () {
    return {
      delFriend: {
        friend_user_id: "",
        user_id: id,
        connection_status: ""
      }
    }
  },
  methods: {
    showFriendProfile(id) {
      this.$router.push(`/profile/${id}`);
    },
    delFromFriends(id_friend) {
      this.delFriend.friend_user_id = id_friend;
      console.log(this.delFriend);
      let request = `http://localhost:8080/api/friend`;
      axios.delete(request, this.delFriend, {
      headers: {
              "accept": "application/json",
              "Content-Type": "application/json"
            }
      })
      .then(function (response) {
        console.log(response.data);
      })
      .catch(function (error) {
        error = true,
        console.log(error.message);

      });
    }
  },
  asyncComputed: {
    friends(){
      return axios.get(`http://localhost:8080/api/profile/${id}/friends`)
          .then(resp => {
            console.log(resp.data);
            return resp.data
          })
    },
    getPeople(){
      return axios.get(`http://localhost:8080/api/profile/${id}/people`)
          .then(resp => {
            console.log(resp.data);
            return resp.data
          })
    },
    requestFriends(){
      console.log("requestFriends")
      return axios.get(`http://localhost:8080/api/profile/${id}/friends/requests`)
          .then(resp => {
            console.log("request in friend", resp.data);
            return resp.data
          })
    }
  }
}
</script>

<style scoped lang="less">
.container {
  margin-top: 100px;
  padding: 0px;
}
.friend-list{
    padding: 15px 15px;
    border-bottom: 3px solid white;
    background: #F2F5F8;
    color: rgb(67, 70, 81);
    cursor: pointer;
  .avatar{
    background-position: center center;
    background-size: cover;
    border: 3px #efefef solid;
    border-radius: 50%;
    bottom: -50px;
    box-shadow: inset 1px 1px 3px rgba(0, 0, 0, 0.2), 1px 1px 4px rgba(0, 0, 0, 0.3);
    height: 60px;
    left: 10%;
    width: 60px;
    margin-right: 20px;
    }
    .friend-data {
      float: left;
    }
    .del {
      position: absolute;
      right: 0;
    }
  }


</style>
